<!DOCTYPE html>
<!-- Referensi navbar: https://www.foolishdeveloper.com/2021/06/navigation-menu-bar-design-html-css.html -->
<html lang="en">
    <head>
        <meta charset="UTF-8" />
            <title>Note List</title>
            <nav class="navbar navbar-inverse">
                <div class="container-fluid">
                <ul class="nav navbar-nav">
                    <li><a href="/lab-4/">Index</a></li>
                    <li><a href="note-list">Note List</a></li>
                    <li><a href="add-note">Add Note</a></li>
                </ul>
                </div>
            </nav>  
            <style>
                body{
                    background: linear-gradient(135deg, #71b7e6, #b659a2);
                }

                h1{
                    font-family: sans-serif;
                    color: rgb(100, 61, 136);
                    text-align: center;
                    margin-top: auto;
                    font-weight: bold;
                    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
                    margin-top: 20px;
                }

                .container {
                    display: flex;
                    flex-wrap: wrap;
                    gap: 35px;
                    justify-content: space-between;
                    padding: 30px;
                }

                .card {
                    display: flex;
                    flex-direction: column;
                    font-size: 14px;
                    width: 30%;
                    border-radius: 10px;
                    border: none ;
                    background-color: rgb(211, 215, 248);
                    box-shadow: #704facda 0px 8px 20px ;
                }
                
                .card-header {
                    background-color: rgb(148, 99, 194);
                    border-radius: 6px;
                    margin: 8px;
                    padding: 10px;
                    color: #ffffff;
                    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
                }

                .card-body {
                    text-align: justify;
                    padding: 0 15px 0 19px;
                    color: black;    
                    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
                }

                nav ul{
                    display: flex;
                    flex-wrap: wrap;
                    list-style: none;
                }

                nav ul li{
                    margin: 0 5px; 
                }
                
                nav ul li a{
                    margin-top: auto;
                    color: #f2f2f2;
                    padding: 8px 15px;
                    border-radius: 5px;
                    letter-spacing: 1px;
                    text-decoration: none;
                    font-size: 14px;
                    font-weight: 300;
                    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
                    transition: all 0.3s ease;
                }

                nav ul li a.active,
                nav ul li a:hover{
                    color: #111;
                    background: rgb(211, 215, 248);
                }
                
            </style>
    </head>  
    <body>

        <h1>Note List</h1>
        <div class="container">
            {% for i in note %}
            <div class="card">
                <div class="card-header">
                    To : {{i.to}}
                    <br>
                    From : {{i.dari}}
                </div>
                <div class="card-body">
                    <h3 class="card-title">{{i.title}}</h3>
                    <p class="card-text">{{i.message}}</p>
                </div>
            </div>
            {% endfor %}
        </div>
    </body>    
</html>